Subject: Re: [RFC/PATCH 0/16] Ops based MSI Implementation

From: David Miller <[email-masked]>
Date: Sun, 28 Jan 2007 15:26:48 -0800 (PST)

From: [email-masked] (Eric W. Biederman)
Date: Sun, 28 Jan 2007 13:53:14 -0700

> The argument that we need to support what the RTAS is doing to support
> other hypervisors seems to be a fallacy.  What the RTAS is doing is
> not sane from a hardware standpoint, so I do not expect it from other
> virtualized/hypervisor style environments. 
> 
> If the hardware provides capabilities to isolate the MSI messages
> properly it does not need to prevent us from touching the msi setup
> registers.

I disagree, I think you will find more systems, not less of them,
doing something like RTAS.  And as I stated in another email I
believe sparc64 behaves the same way as RTAS.

Account for these systems now, they exist and we need to support
them properly.  It's not a one-off kind of thing.